<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

<p>File uploaded successfully</p>
<p id='url'>Predict URL :  /predict/{{name}}/</p>
<div>
<button type="button" onclick="redirect()">Redirect to Predict</button>
<div>
<script>

   function redirect() {
      var this_url = document.getElementById('url').lastChild.data;
      console.log(this_url);
      var predict_position = this_url.indexOf("/predict/");
      console.log(predict_position)
      var new_url = this_url.slice(predict_position)
      console.log(new_url)
      $.ajax({
         type: 'GET',
         url: new_url,
         cache: false,
         success: function(data) {
            window.location = new_url;       
         },
      });
   }

</script>